import numpy as np
from mayavi import mlab

x, y, z = np.mgrid[0:3, 0:3, 0:3]
u = x * x
v = y
w = z

src = mlab.pipeline.vector_scatter(u, v, w)
comps = mlab.pipeline.extract_vector_components(src)
comps.component = 'y-component'
mlab.pipeline.glyph(comps, mode="2darrow")

mlab.show()
